.dui-mobile-region {
  position: fixed;
  top: var(--dui-mobile-region-top, 0);
  bottom: var(--dui-mobile-region-bottom, 0);
  left: 0;
  right: 0;
  z-index: 1000;
}
.dui-mobile-region:before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  -webkit-transition: opacity 0.3s ease-in-out;
  transition: opacity 0.3s ease-in-out;
}
.dui-mobile-region__inner {
  background-color: var(--dui-mobile-region-bg-color, var(--dui-color-brand-2, #E8F0FF));
  position: absolute;
  top: 0;
  bottom: 0;
  left: var(--dui-mobile-region-left, 0);
  right: var(--dui-mobile-region-right, 0);
  max-width: var(--dui-mobile-region-max-width, 320px);
  -webkit-transition-property: -webkit-transform;
  transition-property: -webkit-transform;
  transition-property: transform;
  transition-property: transform, -webkit-transform;
  -webkit-transition-duration: var(--dui-mobile-region-transition-duration, 0.3s);
          transition-duration: var(--dui-mobile-region-transition-duration, 0.3s);
  -webkit-transition-timing-function: var(--dui-mobile-region-transition-timing-function, ease-in-out);
          transition-timing-function: var(--dui-mobile-region-transition-timing-function, ease-in-out);
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.dui-mobile-region .dui-mobile-region__content {
  -ms-flex-negative: 0;
      flex-shrink: 0;
  -webkit-box-flex: 1;
      -ms-flex-positive: 1;
          flex-grow: 1;
  overflow-y: auto;
  overflow-x: hidden;
  max-width: 100%;
  overflow: hidden;
}
.dui-mobile-region .dui-mobile-region__content-bottom {
  margin-top: auto;
}
.dui-mobile-region[data-dui-mobile-region-state=closed] {
  pointer-events: none;
}
.dui-mobile-region[data-dui-mobile-region-state=closed] .dui-mobile-region__inner {
  -webkit-transform: translateX(-100%);
      -ms-transform: translateX(-100%);
          transform: translateX(-100%);
}
.dui-mobile-region[data-dui-mobile-region-state=closed]:before {
  opacity: 0;
  pointer-events: none;
}
.dui-mobile-region[data-dui-mobile-region-state=open] {
  pointer-events: auto;
}
.dui-mobile-region[data-dui-mobile-region-state=open] .dui-mobile-region__inner {
  -webkit-transform: translateX(0);
      -ms-transform: translateX(0);
          transform: translateX(0);
}
.dui-mobile-region[data-dui-mobile-region-state=open]:before {
  opacity: 1;
  pointer-events: auto;
}

html.dui-mobile-region-open {
  overflow: hidden;
}
